package com.gic.haoban.manage.service.service;

import java.util.List;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.haoban.manage.service.entity.TabHaobanWxEnterprise;
import com.gic.haoban.manage.service.entity.TabHaobanWxEnterpriseRelated;
import com.gic.haoban.manage.service.pojo.bo.WxEnterpriseRelationBO;

public interface WxEnterpriseRelatedService {

	TabHaobanWxEnterpriseRelated getByGicEnterpriseIdByEnterpriseRelatedId(String wxEnterpriseRelatedId);


	List<TabHaobanWxEnterpriseRelated> getByWxEnterpriseId(String wxEnterpriseId);

	/**
	 * 获取企业关联列表 根据商户id
	 *
	 * @param enterpriseId
	 * @return
	 */
	List<TabHaobanWxEnterprise> listByEnterpriseId(String enterpriseId);

	/**
	 * 获取企业关联列表 根据商户id
	 *
	 * @param enterpriseId
	 * @return
	 */
	TabHaobanWxEnterpriseRelated getByEnterpriseId(String wxEnterpriseId, String enterpriseId);

	/**
	 * 设置导购编辑权限
	 *
	 * @param id
	 * @return
	 */
	void setClerkEdit(String id, int clerkEditFlag);
	
	int getRelationCount(String enterpriseId) ;
	
	public WxEnterpriseRelationBO getHeadEnterprise(String enterpriseId) ;
	
	public boolean getAddByWelcomeFlag(TabHaobanWxEnterpriseRelated wxEnterpriseRelated , String unionid , boolean isHmUnionid) ;

	/**
	 * 获取GIC商户企微类型 0无好办 1独立应用 2第三方  3(独立应用+第三方)
	 * @param enterpriseId
	 * @return
	 */
	public ServiceResponse<Integer> getEnterprieseQwType(String enterpriseId) ;
}
